* {
    box-sizing: border-box;
}

html,
body {
    margin: 0;
    padding: 0;
    background: transparent;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 1.42857143;
    color: #333;
}

.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
    position: relative;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

.form-group > label {
    flex: 0 0 calc((100% + 30px) * 0.25 - 30px);
}

.form-control {
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.4;
    color: #333;
    background-color: #fff;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

select.form-control {
    height: 34px;
    padding: 6px 8px;
    background-color: #fff;
}

.card-input-wrapper {
    position: relative;
    width: 100%;
}

#card-type-icon {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    z-index: 2;
    display: flex;
    gap: 4px;
    align-items: center;
}

#number,
#cvv {
    width: 100%;
}

.expiration-wrapper {
    flex: 1;
    display: flex;
    gap: 5px;
}

.visually-hidden {
    position: absolute!important;
    width: 1px!important;
    height: 1px!important;
    padding: 0!important;
    margin: -1px!important;
    overflow: hidden!important;
    clip: rect(0,0,0,0)!important;
    white-space: nowrap!important;
    border: 0!important;
}

#number,
#cvv {
    height: 34px !important;
    position: relative;
    border: 1px solid #ccc;
    overflow: hidden;
}

#number iframe,
#cvv iframe {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100% !important;
    width: 100%;
}

#billing-cvv,
#billing-month,
#billing-year {
    width: 100%;
}

/* Media query based on parent */
body.desktop .form-group {
    flex-direction: row;
    gap: 30px;
}

body.desktop label {
    text-align: right;
    padding-top: 7px;
}

body.desktop .form-group > label {
    flex: 0 0 calc((100% + 30px) * 0.25 - 30px);
}

@media (min-width:738px) {
    .form-group {
        flex-direction: row;
        gap: 30px;
    }
    
    label {
        text-align: right;
        padding-top: 7px;
    }
    
    .form-group > label {
        flex: 0 0 calc((100% + 30px) * 0.25 - 30px);
    }
}